org.apache.myfaces.trinidad.webapp

## Class TrinidadTagSupport

- java.lang.Object
- - org.apache.myfaces.trinidad.webapp.TrinidadTagSupport

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag
  Direct Known Subclasses:
    TrinidadBodyTagSupport, TrinidadConverterELTag, TrinidadValidatorELTag

      public class TrinidadTagSupport
      extends Object
      implements javax.servlet.jsp.tagext.IterationTag

  This is the Trinidad version of the JSP `TagSupport` class. The main difference is that this class is NOT implementing the `Serializable` interface.
  Author:
    Apache Tomcat team

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id` The value of the id attribute of this tag; or null.
    `protected javax.servlet.jsp.PageContext` | `pageContext` The PageContext.

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrinidadTagSupport()` Default constructor, all subclasses are required to define only a public constructor with the same signature, and to call the superclass constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `doAfterBody()` Default processing for a body.
    `int` | `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
    `int` | `doStartTag()` Default processing of the start tag, returning SKIP_BODY.
    `static javax.servlet.jsp.tagext.Tag` | `findAncestorWithClass(javax.servlet.jsp.tagext.Tag from, Class klass)` Find the instance of a given class type that is closest to a given instance.
    `String` | `getId()` The value of the id attribute of this tag; or null.
    `javax.servlet.jsp.tagext.Tag` | `getParent()` The Tag instance most closely enclosing this tag instance.
    `Object` | `getValue(String k)` Get a the value associated with a key.
    `Enumeration<String>` | `getValues()` Enumerate the keys for the values kept by this tag handler.
    `void` | `release()` Release state.
    `void` | `removeValue(String k)` Remove a value associated with a key.
    `void` | `setId(String id)` Set the id attribute for this tag.
    `void` | `setPageContext(javax.servlet.jsp.PageContext pageContext)` Set the page context.
    `void` | `setParent(javax.servlet.jsp.tagext.Tag t)` Set the nesting tag of this tag.
    `void` | `setValue(String k, Object o)` Associate a value with a String key.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

      The value of the id attribute of this tag; or null.

    - #### pageContext

          protected javax.servlet.jsp.PageContext pageContext

      The PageContext.

  - ### Constructor Detail

    - #### TrinidadTagSupport

          public TrinidadTagSupport()

      Default constructor, all subclasses are required to define only a public constructor with the same signature, and to call the superclass constructor. This constructor is called by the code generated by the JSP translator.

  - ### Method Detail

    - #### findAncestorWithClass

          public static final javax.servlet.jsp.tagext.Tag findAncestorWithClass(javax.servlet.jsp.tagext.Tag from,
                                                           Class klass)

      Find the instance of a given class type that is closest to a given instance. This method uses the getParent method from the Tag interface. This method is used for coordination among cooperating tags.

      The current version of the specification only provides one formal way of indicating the observable type of a tag handler: its tag handler implementation class, described in the tag-class subelement of the tag element. This is extended in an informal manner by allowing the tag library author to indicate in the description subelement an observable type. The type should be a subtype of the tag handler implementation class or void. This addititional constraint can be exploited by a specialized container that knows about that specific tag library, as in the case of the JSP standard tag library.

      When a tag library author provides information on the observable type of a tag handler, client programmatic code should adhere to that constraint. Specifically, the Class passed to findAncestorWithClass should be a subtype of the observable type.

      Parameters:
        `from` - The instance from where to start looking.
        `klass` - The subclass of Tag or interface to be matched
      Returns:
        the nearest ancestor that implements the interface or is an instance of the class specified

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Default processing of the start tag, returning SKIP_BODY.
      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Returns:
        SKIP_BODY
      Throws:
        `javax.servlet.jsp.JspException` - if an error occurs while processing this tag
      See Also:
        `Tag.doStartTag()`

    - #### doEndTag

          public int doEndTag()
                       throws javax.servlet.jsp.JspException

      Default processing of the end tag returning EVAL_PAGE.
      Specified by:
        `doEndTag` in interface `javax.servlet.jsp.tagext.Tag`
      Returns:
        EVAL_PAGE
      Throws:
        `javax.servlet.jsp.JspException` - if an error occurs while processing this tag
      See Also:
        `Tag.doEndTag()`

    - #### doAfterBody

          public int doAfterBody()
                          throws javax.servlet.jsp.JspException

      Default processing for a body.
      Specified by:
        `doAfterBody` in interface `javax.servlet.jsp.tagext.IterationTag`
      Returns:
        SKIP_BODY
      Throws:
        `javax.servlet.jsp.JspException` - if an error occurs while processing this tag
      See Also:
        `IterationTag.doAfterBody()`

    - #### release

          public void release()

      Release state.
      Specified by:
        `release` in interface `javax.servlet.jsp.tagext.Tag`
      See Also:
        `Tag.release()`

    - #### setParent

          public void setParent(javax.servlet.jsp.tagext.Tag t)

      Set the nesting tag of this tag.
      Specified by:
        `setParent` in interface `javax.servlet.jsp.tagext.Tag`
      Parameters:
        `t` - The parent Tag.
      See Also:
        `Tag.setParent(Tag)`

    - #### getParent

          public javax.servlet.jsp.tagext.Tag getParent()

      The Tag instance most closely enclosing this tag instance.
      Specified by:
        `getParent` in interface `javax.servlet.jsp.tagext.Tag`
      Returns:
        the parent tag instance or null
      See Also:
        `Tag.getParent()`

    - #### setId

          public void setId(String id)

      Set the id attribute for this tag.
      Parameters:
        `id` - The String for the id.

    - #### getId

          public String getId()

      The value of the id attribute of this tag; or null.
      Returns:
        the value of the id attribute, or null

    - #### setPageContext

          public void setPageContext(javax.servlet.jsp.PageContext pageContext)

      Set the page context.
      Specified by:
        `setPageContext` in interface `javax.servlet.jsp.tagext.Tag`
      Parameters:
        `pageContext` - The PageContext.
      See Also:
        `Tag.setPageContext(javax.servlet.jsp.PageContext)`

    - #### setValue

          public void setValue(String k,
                      Object o)

      Associate a value with a String key.
      Parameters:
        `k` - The key String.
        `o` - The value to associate.

    - #### getValue

          public Object getValue(String k)

      Get a the value associated with a key.
      Parameters:
        `k` - The string key.
      Returns:
        The value associated with the key, or null.

    - #### removeValue

          public void removeValue(String k)

      Remove a value associated with a key.
      Parameters:
        `k` - The string key.

    - #### getValues

          public Enumeration<String> getValues()

      Enumerate the keys for the values kept by this tag handler.
      Returns:
        An enumeration of all the keys for the values set, or null or an empty Enumeration if no values have been set.

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.